net.sf.jasperreports.olap.xmla

## Class Olap4jXmlaQueryExecuterFactory

- java.lang.Object
- - net.sf.jasperreports.engine.query.AbstractQueryExecuterFactory
  - - net.sf.jasperreports.olap.xmla.JRXmlaQueryExecuterFactory
    - - net.sf.jasperreports.olap.xmla.Olap4jXmlaQueryExecuterFactory

- All Implemented Interfaces:
    JRQueryExecuterFactory, QueryExecuterFactory

      public class Olap4jXmlaQueryExecuterFactory
      extends JRXmlaQueryExecuterFactory

  Version:
    $Id: Olap4jXmlaQueryExecuterFactory.java 6912 2014-02-18 17:32:41Z lucianc $
  Author:
    swood

- - ### Field Summary

    - ### Fields inherited from class net.sf.jasperreports.olap.xmla.JRXmlaQueryExecuterFactory

      `PARAMETER_XMLA_CATALOG, PARAMETER_XMLA_DATASOURCE, PARAMETER_XMLA_PASSWORD, PARAMETER_XMLA_URL, PARAMETER_XMLA_USER`

    - ### Fields inherited from interface net.sf.jasperreports.engine.query.QueryExecuterFactory

      `QUERY_EXECUTER_FACTORY_PREFIX`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Olap4jXmlaQueryExecuterFactory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `JRQueryExecuter` | `createQueryExecuter(JasperReportsContext jasperReportsContext, JRDataset dataset, java.util.Map<java.lang.String,? extends JRValueParameter> parameters)` Creates a query executer.
    `java.lang.Object[]` | `getBuiltinParameters()` Returns the built-in parameters associated with this query type.

    - ### Methods inherited from class net.sf.jasperreports.olap.xmla.JRXmlaQueryExecuterFactory

      `supportsQueryParameterType`

    - ### Methods inherited from class net.sf.jasperreports.engine.query.AbstractQueryExecuterFactory

      `createQueryExecuter`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Olap4jXmlaQueryExecuterFactory

          public Olap4jXmlaQueryExecuterFactory()

  - ### Method Detail

    - #### getBuiltinParameters

          public java.lang.Object[] getBuiltinParameters()

      Description copied from interface: `QueryExecuterFactory`
      Returns the built-in parameters associated with this query type.

      These parameters will be created as system-defined parameters for each report/dataset having a query of this type.

      The returned array should contain consecutive pairs of parameter names and parameter classes (e.g. `{"Param1", String.class, "Param2", "List.class"}`).
      Specified by:
        `getBuiltinParameters` in interface `JRQueryExecuterFactory`
      Specified by:
        `getBuiltinParameters` in interface `QueryExecuterFactory`
      Overrides:
        `getBuiltinParameters` in class `JRXmlaQueryExecuterFactory`
      Returns:
        array of built-in parameter names and types associated with this query type

    - #### createQueryExecuter

          public JRQueryExecuter createQueryExecuter(JasperReportsContext jasperReportsContext,
                                            JRDataset dataset,
                                            java.util.Map<java.lang.String,? extends JRValueParameter> parameters)
                                              throws JRException

      Description copied from interface: `QueryExecuterFactory`
      Creates a query executer.

      This method is called at fill time for reports/datasets having a query supported by this factory.
      Specified by:
        `createQueryExecuter` in interface `QueryExecuterFactory`
      Overrides:
        `createQueryExecuter` in class `JRXmlaQueryExecuterFactory`
      Parameters:
        `jasperReportsContext` - the JasperReportsContext
        `dataset` - the dataset containing the query, fields, etc
        `parameters` - map of value parameters (instances of `JRValueParameter`) indexed by name
      Returns:
        a query executer
      Throws:
        `JRException`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com